Ga naar de inhoud
Cyzyra

API-referentie

Statistieken

Voer elke Dashboard-statistiek uit volgens een JSON-definitie. Nooit SQL.

Rodar uma métrica (definição JSON dos Painéis, nunca SQL)

post/api/v1/query

Sleuteltoestemming: leitura

Hoofdtekst (JSON)

definition object

Voorbeeld: {"type":"simple","entity":"payments","agg":"sum","field":"amount","filters":[{"field":"status","op":"in","value":["paid","settled","available"]}],"dateField":"paid_at","period":"month","groupBy":"lead_state"}

Antwoorden

  • 200Resultado
Verzoek
curl -X POST "https://www.cyzyra.com/api/v1/query" \
  -H "Authorization: Bearer $CYZYRA_API_KEY" \
  -H "Content-Type: application/json" \
  -d '{"definition":{"type":"simple","entity":"payments","agg":"sum","field":"amount","filters":[{"field":"status","op":"in","value":["paid","settled","available"]}],"dateField":"paid_at","period":"month"}}'

Illustratief voorbeeld.